org.apache.pdfbox.pdmodel.encryption

## Class SecurityProvider

- java.lang.Object
- - org.apache.pdfbox.pdmodel.encryption.SecurityProvider

    public class SecurityProvider
    extends Object

Singleton which provides a security provider.

### Method Summary

All Methods Static Methods Concrete Methods
`static Provider` `getProvider()` Returns the provider to be used for advanced encrypting/decrypting.
`static void` `setProvider(Provider provider)` Set the provider to be used for advanced encrypting/decrypting.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getProvider

    public static Provider getProvider()
                                throws IOException

Returns the provider to be used for advanced encrypting/decrypting. Default is the BouncyCastleProvider.

Returns:
  the security provider
Throws:
  `IOException` - if the default provider can't be instantiated

#### setProvider

    public static void setProvider(Provider provider)

Set the provider to be used for advanced encrypting/decrypting.

Parameters:
  `provider` - the security provider